using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager 
{
    private static GameManager Istance = null;

    public static GameManager GetIstance()
    {
        if( Istance == null)
        {
            Istance = new GameManager();
        }
        return Istance;
    }

    private int currentScene;
    private int currentMembersFamily;
    private int currentTickets;

    private GameManager()
    {
        InitVariables();      
    }

    public void InitVariables()
    {
        currentScene = 6;
        currentTickets = 5;
        currentMembersFamily = 5;
    }

    public void NextScene(int nextTickets)
    {
        currentScene++;
        currentTickets = nextTickets;
        if (nextTickets == currentMembersFamily - 1)
            currentMembersFamily--;
    }

}
